should not hard-depend on cifs-utils

Bug #1786227 reported by Michael Fritscher on 2018-08-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
casper (Ubuntu)
Undecided
Unassigned
ubuntu-meta (Ubuntu)
Undecided
Unassigned

Bug Description

Currently (current bionic has the casper version 1.394), it hard-depends on cifs-utils, which make the installation 41 MB bigger. This is only needed if used with getting the squash image via cifs. The basic functionality (running a live iso or image) works without it - proven by killing the dependency by hand.

So I suggest to move cifs-utils to recommendends or suggestions.

description: updated
Jeremy Bicha (jbicha) wrote :

casper is also in the 'live' seed for Ubuntu and its flavors so it would still be installed by default in the live environment.

Jeremy Bicha (jbicha) wrote :

This question was also asked a few months ago:

https://community.ubuntu.com/t/anyone-use-cifs-root-in-live-session/1821

Some people apparently do use the CIFS feature for the default Ubuntu ISO.

Are you interested in the default ISO or were you making a custom ISO?

I made a custom ISO - or better a completely new one. Its whole size is 122 MB. It has e.g. no GUI, but fullfiles one specific target (network/VPN/firewall area).

A "normal" ubuntu live ISO have probably most dependencies for cifs-utils, so there is no big deal I assume. But it hurts really if one tries to make "minimal" boot/live CDs.

Jeremy Bicha (jbicha) wrote :

Unfortunately, we are in Final Freeze now in preparation for Ubuntu 18.10's release next week so I don't removing the direct dependency from casper is something we are going to be able to do until 19.04.

https://wiki.ubuntu.com/CosmicCuttlefish/ReleaseSchedule

Jeremy Bicha (jbicha) wrote :

Sorry I didn't stumble across this bug a month ago.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers